---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
driver:
  name: delegated
lint:
  name: yamllint
  options:
    config-file: .yamllint
platforms:
  - name: test-aws-windows-ansible-role-java-8-otn
    aws_image_id: ami-00a20f508263efd30
    aws_region: us-east-1
    instance_type: m5.large
    assign_public_ip: False
    spot_price: 0.14
    aws_sec_group:
      - default
    vpc_subnet_id: subnet-05a2ef2b767afec50
    groups:
      - windows
      - otn

  - name: test-aws-windows-ansible-role-java-8-web
    aws_image_id: ami-00a20f508263efd30
    aws_region: us-east-1
    instance_type: m5.large
    assign_public_ip: False
    spot_price: 0.14
    aws_sec_group:
      - default
    vpc_subnet_id: subnet-05a2ef2b767afec50
    groups:
      - windows
      - web

  - name: test-aws-windows-ansible-role-java-8-choco
    aws_image_id: ami-00a20f508263efd30
    aws_region: us-east-1
    instance_type: m5.large
    assign_public_ip: False
    spot_price: 0.14
    aws_sec_group:
      - default
    vpc_subnet_id: subnet-05a2ef2b767afec50
    groups:
      - windows
      - chocolatey

  - name: test-aws-windows-ansible-role-java-8-s3-local
    aws_image_id: ami-00a20f508263efd30
    aws_region: us-east-1
    instance_type: m5.large
    assign_public_ip: False
    spot_price: 0.14
    aws_sec_group:
      - default
    vpc_subnet_id: subnet-05a2ef2b767afec50
    groups:
      - windows
      - local

provisioner:
  name: ansible
  log: False
  connection_options:
    ansible_connection: winrm
  inventory:
    group_vars:
      windows:
        ansible_password: "{{ lookup('env', 'WINRM_ADMIN_PWD') | default('M0leCule123!', True) }}"
        ansible_winrm_transport: credssp
        ansible_winrm_server_cert_validation: ignore
      local:
        transport: local
        transport_local: /tmp/jdk-8u202-windows-x64.exe
        java_major_version: 8
        java_minor_version: 202
      web:
        transport: web
        transport_web: "{{ lookup('env','STORAGE_AWS') }}/oracle-java/jdk-8u45-windows-x64.exe"
        java_major_version: 8
        java_minor_version: 45
        java_unlimited_policy_transport: oracle-fallback
        java_unlimited_policy_enabled: True
      otn:
        transport: oracle-fallback
      chocolatey:
        transport: chocolatey
        java_major_version: 8
        java_minor_version: 201
  playbooks:
    create: ../resources/provisioning/WINRM/create.yml
    prepare: ../cloud-aws-windows-8/prepare.yml
    destroy: ../resources/provisioning/WINRM/destroy.yml
  config_options:
    ssh_connection:
      control_path: "/var/ans/%%h"
  lint:
    name: ansible-lint
  env:
    ANSIBLE_LIBRARY: ${ANSIBLE_LIBRARY}
scenario:
  name: cloud-aws-windows-8
verifier:
  name: testinfra
  lint:
    name: flake8
